import { feedKeys } from 'src/pages/dashboard/feed/queries';
import { groupsKeys } from 'src/pages/dashboard/groups/queries';

export const sharedPostKeys = {
  feed: {
    all: () => [...feedKeys.all(), 'sharedPost'] as const,
    detail: (id: number) => [...sharedPostKeys.feed.all(), Number(id)] as const,
  },
  groups: {
    all: () => [...groupsKeys.all(), 'sharedPost'] as const,
    detail: (groupId: number, postId: number) =>
      [
        ...sharedPostKeys.groups.all(),
        Number(groupId),
        Number(postId),
      ] as const,
  },
};
